// VolatileVars.cpp
/*
   (c)2023 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This generated code may be freely used for both private and commercial use
   provided this copyright is maintained.
*/

#include "VolatileVars.h"
// These volatiles communicate between your Arduino loop() and the WiFiDataHandling
// for code clarity _v is appended to volatile variables
volatile bool isRaining_v = false;
volatile uint32_t isRaining_counter_v; // counter for change of isRaining state, i.e. last time started or stopped raining
volatile uint32_t deltaT_counter_v = 0;
volatile uint32_t rainPulses_v = 0; // count of rain pulses in last 1sec
volatile float maxRatio_v = 0; // max ratio in last 1sec  // float 4byes so atomic load/save?
volatile float maxRatioMagnitude_v = 0; // max magnitude for that max ration in last 1sec // float 4byes so atomic/save?
