#ifndef VolatileVars_H_
#define VolatileVars_H_
// VolatileVars.h
/*
 * (c)2024 Forward Computing and Control Pty. Ltd.
 * NSW Australia, www.forward.com.au
 * This code is not warranted to be fit for any purpose. You may only use it at your own risk.
 * This generated code may be freely used for both private and commercial use
 * provided this copyright is maintained.
 */

#include <stdint.h>

/*
   (c)2023 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This generated code may be freely used for both private and commercial use
   provided this copyright is maintained.
*/

// this header lists all the volatile vars used to transfer cmds/data between your loop() and WiFiDataHandling
// for code clarity _v is appended to volatile variables
extern volatile bool isRaining_v;
extern volatile uint32_t isRaining_counter_v; // counter for change of isRaining state
extern volatile uint32_t deltaT_counter_v;
extern volatile uint32_t rainPulses_v;
extern volatile float maxRatio_v; // max ratio in last 1sec  // float 4byes so atomic load/save?
extern volatile float maxRatioMagnitude_v; // max magnitude for that max ration in last 1sec // float 4byes so atomic/save?

#endif
