#ifndef PROCESS_BUFFERE_H
#define PROCESS_BUFFERE_H
// ProcessBuffers.h
/*
 * (c)2024 Forward Computing and Control Pty. Ltd.
 * NSW Australia, www.forward.com.au
 * This code is not warranted to be fit for any purpose. You may only use it at your own risk.
 * This generated code may be freely used for both private and commercial use
 * provided this copyright is maintained.
 */
 
#include "Arduino.h"
void initProcessBuffers(float printScaleFactor, bool logRainPulses);
bool processBuffers(uint32_t offsetCounter, size_t sampleSize, int32_t* insideSamples, int32_t* outsideSamples, float sampleFreq, const char* magFileOut);
void setProcessBuffersDebugOut(Print *_debugPtr);
#endif
